export declare const driftctlVersion = "v0.21.0";
export declare const DCTL_EXIT_CODES: {
    EXIT_IN_SYNC: number;
    EXIT_NOT_IN_SYNC: number;
    EXIT_ERROR: number;
};
export interface DriftctlGenDriftIgnoreOptions {
    input?: string;
    output?: string;
    'exclude-changed'?: boolean;
    'exclude-missing'?: boolean;
    'exclude-unmanaged'?: boolean;
}
interface DriftCTLOptions {
    quiet?: true;
    filter?: string;
    to?: string;
    headers?: string;
    'tfc-token'?: string;
    'tfc-endpoint'?: string;
    'tf-provider-version'?: string;
    strict?: true;
    deep?: true;
    driftignore?: string;
    'tf-lockfile'?: string;
    'config-dir'?: string;
    json?: boolean;
    'json-file-output'?: string;
    html?: boolean;
    'html-file-output'?: string;
    service?: string;
    from?: string;
}
export declare function parseArgs(commands: string[], options: DriftCTLOptions | DriftctlGenDriftIgnoreOptions): string[];
export declare const parseDescribeFlags: (options: DriftCTLOptions) => string[];
export declare function translateExitCode(exitCode: number): number;
export declare function driftctl(args: string[]): Promise<number>;
export declare function findDriftCtl(): Promise<string>;
export {};
